### Home Classes Methods

### In Files

- xapian.rb

### Parent

Object

### Methods

- ::new
- #==

### Class/Module Index

Quicksearch

- Xapian
- Xapian::AssertionError
- Xapian::BM25Weight
- Xapian::BoolWeight
- Xapian::Compactor
- Xapian::DatabaseCorruptError
- Xapian::DatabaseCreateError
- Xapian::DatabaseError
- Xapian::DatabaseLockError
- Xapian::DatabaseModifiedError
- Xapian::DatabaseOpeningError
- Xapian::DatabaseVersionError
- Xapian::DateValueRangeProcessor
- Xapian::DecreasingValueWeightPostingSource
- Xapian::DocNotFoundError
- Xapian::ESetIterator
- Xapian::Error
- Xapian::ErrorHandler
- Xapian::ExpandDecider
- Xapian::ExpandDeciderAnd
- Xapian::ExpandDeciderFilterTerms
- Xapian::FeatureUnavailableError
- Xapian::FixedWeightPostingSource
- Xapian::InternalError
- Xapian::InvalidArgumentError
- Xapian::InvalidOperationError
- Xapian::KeyMaker
- Xapian::LogicError
- Xapian::MSetIterator
- Xapian::MatchDecider
- Xapian::MatchSpy
- Xapian::MultiValueKeyMaker
- Xapian::MultiValueSorter
- Xapian::NetworkError
- Xapian::NetworkTimeoutError
- Xapian::NumberValueRangeProcessor
- Xapian::PositionIterator
- Xapian::PostingIterator
- Xapian::PostingSource
- Xapian::QueryParser
- Xapian::QueryParserError
- Xapian::RSet
- Xapian::RangeError
- Xapian::Registry
- Xapian::RuntimeError
- Xapian::SerialisationError
- Xapian::SimpleStopper
- Xapian::Sorter
- Xapian::Stem
- Xapian::StemImplementation
- Xapian::Stopper
- Xapian::StringValueRangeProcessor
- Xapian::TermGenerator
- Xapian::TermIterator
- Xapian::TradWeight
- Xapian::UnimplementedError
- Xapian::Utf8Iterator
- Xapian::ValueIterator
- Xapian::ValueMapPostingSource
- Xapian::ValuePostingSource
- Xapian::ValueRangeProcessor
- Xapian::ValueSetMatchDecider
- Xapian::ValueWeightPostingSource
- Xapian::Weight
- Xapian::WritableDatabase
- Xapian::Xapian
- Xapian::Xapian::Database
- Xapian::Xapian::Document
- Xapian::Xapian::ESet
- Xapian::Xapian::Enquire
- Xapian::Xapian::ExpandTerm
- Xapian::Xapian::MSet
- Xapian::Xapian::Match
- Xapian::Xapian::Posting
- Xapian::Xapian::Query
- Xapian::Xapian::Value
- Xapian::Xapian::ValueCountMatchSpy
- Xapian::Xapian::Xapian
- Xapian::Xapian::Xapian::Term

No matching classes.

# Xapian::Xapian::Posting

### Attributes

docid[RW]
doclength[RW]
wdf[RW]

### Public Class Methods

new(docid, doclength, wdf) click to toggle source

    # File xapian.rb, line 230
    def initialize(docid, doclength, wdf)
      @docid = docid
      @doclength = doclength
      @wdf = wdf
    end

### Public Instance Methods

==(other) click to toggle source

    # File xapian.rb, line 236
    def ==(other)
      return other.is_a?(Xapian::Posting) && other.docid == @docid && other.doclength == @doclength &&
        other.wdf == @wdf
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.